Bug 184532 - [patch] multimedia/xbmc : Fix build with EXTERNAL_FFMPEG
Summary: [patch] multimedia/xbmc : Fix build with EXTERNAL_FFMPEG
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-06 08:10 UTC by Glen Barber
Modified: 2013-12-26 14:30 UTC (History)
0 users

See Also:


Attachments
file.diff (680 bytes, patch)
2013-12-06 08:10 UTC, Glen Barber
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Glen Barber freebsd_committer 2013-12-06 08:10:00 UTC
Dependency list references nonexistent port:

gjb@nucleus:/usr/ports % make -C multimedia/xbmc all-depends-list PORT_OPTIONS="EXTERNAL_FFMPEG" >/dev/null
xbmc-12.2_3: "/usr/ports/multimedia/ffmpeg1" non-existent -- dependency list incomplete

Fix: Patch attached.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-12-06 08:10:07 UTC
Maintainer of multimedia/xbmc,

Please note that PR ports/184532 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184532

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-12-06 08:10:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 mickael.maillot 2013-12-06 08:47:10 UTC
Hi,

XBMC 12.2 only support ffmpeg 0.10 (internal or external) which is not
available anymore on ports.
So i plan to remove the EXTERNAL_FFMPEG option
as soon as i found how to fix some other problems.


2013/12/6 Edwin Groothuis <edwin@freebsd.org>

> Maintainer of multimedia/xbmc,
>
> Please note that PR ports/184532 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184532
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 4 Glen Barber freebsd_committer 2013-12-06 09:22:46 UTC
On Fri, Dec 06, 2013 at 08:50:01AM +0000, Mickaël Maillot wrote:
>  XBMC 12.2 only support ffmpeg 0.10 (internal or external) which is not
>  available anymore on ports.
>  So i plan to remove the EXTERNAL_FFMPEG option
>  as soon as i found how to fix some other problems.
>  


multimedia/ffmpeg0 works fine for me with xbmc.

Glen
Comment 5 William Grzybowski freebsd_committer 2013-12-26 13:27:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 6 William Grzybowski freebsd_committer 2013-12-26 13:28:01 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2013-12-26 13:31:03 UTC
Author: wg
Date: Thu Dec 26 13:30:56 2013
New Revision: 337512
URL: http://svnweb.freebsd.org/changeset/ports/337512

Log:
  multimedia/xbmc: ffmpeg does not exist anymore
  
  PR:		ports/184532
  Submitted by:	gjb
  Approved by:	maintainer (timeout)

Modified:
  head/multimedia/xbmc/Makefile

Modified: head/multimedia/xbmc/Makefile
==============================================================================
--- head/multimedia/xbmc/Makefile	Thu Dec 26 13:17:26 2013	(r337511)
+++ head/multimedia/xbmc/Makefile	Thu Dec 26 13:30:56 2013	(r337512)
@@ -2,7 +2,7 @@
 
 PORTNAME=	xbmc
 DISTVERSION=	12.2
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	multimedia
 MASTER_SITES=	http://mirrors.xbmc.org/releases/source/
 
@@ -149,7 +149,7 @@ CONFIGURE_ARGS+=	--disable-libcec
 
 .if ${PORT_OPTIONS:MEXTERNAL_FFMPEG}
 CONFIGURE_ARGS+=	--enable-external-ffmpeg
-FFMPEG_SUFFIX=	1
+FFMPEG_SUFFIX=	0
 CONFIGURE_ENV+=	FFMPEG_SUFFIX="${FFMPEG_SUFFIX}"
 PLIST_SUB+=	EXTERNAL_FFMPEG="@comment "
 BUILD_DEPENDS+=	ffmpeg${FFMPEG_SUFFIX}>0.11:${PORTSDIR}/multimedia/ffmpeg${FFMPEG_SUFFIX}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2013-12-26 14:28:54 UTC
Author: wg
Date: Thu Dec 26 14:28:47 2013
New Revision: 337516
URL: http://svnweb.freebsd.org/changeset/ports/337516

Log:
  MFH: r337512
  
  multimedia/xbmc: ffmpeg does not exist anymore
  
  PR:		ports/184532
  Submitted by:	gjb
  Approved by:	portmgr (lukers, mat), maintainer (timeout)

Modified:
  branches/2014Q1/multimedia/xbmc/Makefile
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/multimedia/xbmc/Makefile
==============================================================================
--- branches/2014Q1/multimedia/xbmc/Makefile	Thu Dec 26 13:49:10 2013	(r337515)
+++ branches/2014Q1/multimedia/xbmc/Makefile	Thu Dec 26 14:28:47 2013	(r337516)
@@ -2,7 +2,7 @@
 
 PORTNAME=	xbmc
 DISTVERSION=	12.2
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	multimedia
 MASTER_SITES=	http://mirrors.xbmc.org/releases/source/
 
@@ -149,7 +149,7 @@ CONFIGURE_ARGS+=	--disable-libcec
 
 .if ${PORT_OPTIONS:MEXTERNAL_FFMPEG}
 CONFIGURE_ARGS+=	--enable-external-ffmpeg
-FFMPEG_SUFFIX=	1
+FFMPEG_SUFFIX=	0
 CONFIGURE_ENV+=	FFMPEG_SUFFIX="${FFMPEG_SUFFIX}"
 PLIST_SUB+=	EXTERNAL_FFMPEG="@comment "
 BUILD_DEPENDS+=	ffmpeg${FFMPEG_SUFFIX}>0.11:${PORTSDIR}/multimedia/ffmpeg${FFMPEG_SUFFIX}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"